liblo: lo::Server Class Reference

liblo 0.36

lo::Server Class Reference

Class representing a local OSC server, proxy for lo_server. More...

`#include <lo_cpp.h>`

Inherited by lo::ServerThread.

## Public Member Functions
| Server (lo_server s)
template<typename E>
| Server (const num_string_type &port, E &&e)
template<typename E>
| Server (const num_string_type &port, int proto, E &&e=0)
template<typename E>
| Server (const string_type &group, const num_string_type &port, const string_type &iface=0, const string_type &ip=0, E &&e=0)
| Server (const num_string_type &port, lo_err_handler err_h=0)
| Server (const num_string_type &port, int proto, lo_err_handler err_h=0)
| Server (const string_type &group, const num_string_type &port, const string_type &iface="", const string_type &ip="", lo_err_handler err_h=0)
virtual | ~Server ()
Method | add_method (const string_type &path, const string_type &types, lo_method_handler h, void *data) const
| LO_ADD_METHOD ((const char *, const char *, lo_arg **, int),((char *) 0,(char *) 0,(lo_arg **) 0,(int) 0),(path, types, argv, argc))
| LO_ADD_METHOD ((const char *, lo_arg **, int),((char *) 0,(lo_arg **) 0,(int) 0),(types, argv, argc))

## Detailed Description

Class representing a local OSC server, proxy for lo_server.

Definition at line 502 of file lo_cpp.h.

## Constructor & Destructor Documentation

## ◆ Server() [1/7]

lo::Server::Server | ( | lo_server | s | ) |
| inline

Constructor.

Definition at line 506 of file lo_cpp.h.

Referenced by Server(), Server(), Server(), Server(), Server(), and Server().

## ◆ Server() [2/7]

template<typename E>

lo::Server::Server | ( | const num_string_type & | port,
|  | E && | e )
| inline

Constructor taking an error handler.

Definition at line 510 of file lo_cpp.h.

References lo_server_new(), and Server().

## ◆ Server() [3/7]

template<typename E>

lo::Server::Server | ( | const num_string_type & | port,
|  | int | proto,
|  | E && | e = 0 )
| inline

Constructor taking a port number and error handler.

Definition at line 527 of file lo_cpp.h.

References lo_server_new_with_proto(), and Server().

## ◆ Server() [4/7]

template<typename E>

lo::Server::Server | ( | const string_type & | group,
|  | const num_string_type & | port,
|  | const string_type & | iface = 0,
|  | const string_type & | ip = 0,
|  | E && | e = 0 )
| inline

Constructor taking a multicast group, port number, interface identifier or IP, and error handler.

Definition at line 545 of file lo_cpp.h.

References lo_server_new_multicast_iface(), and Server().

## ◆ Server() [5/7]

lo::Server::Server | ( | const num_string_type & | port,
|  | lo_err_handler | err_h = 0 )
| inline

Constructor taking a port number and error handler.

Definition at line 568 of file lo_cpp.h.

References lo_server_new(), and Server().

## ◆ Server() [6/7]

lo::Server::Server | ( | const num_string_type & | port,
|  | int | proto,
|  | lo_err_handler | err_h = 0 )
| inline

Constructor taking a port number, protocol, and error handler.

Definition at line 572 of file lo_cpp.h.

References lo_server_new_with_proto(), and Server().

## ◆ Server() [7/7]

lo::Server::Server | ( | const string_type & | group,
|  | const num_string_type & | port,
|  | const string_type & | iface = "",
|  | const string_type & | ip = "",
|  | lo_err_handler | err_h = 0 )
| inline

Constructor taking a multicast group, port number, interface identifier or IP, and error handler.

Definition at line 578 of file lo_cpp.h.

References lo_server_new_multicast(), lo_server_new_multicast_iface(), and Server().

## ◆ ~Server()

virtual lo::Server::~Server | ( |  | ) |
| inlinevirtual

Destructor

Definition at line 587 of file lo_cpp.h.

References lo_server_free().

## Member Function Documentation

## ◆ add_method()

Method lo::Server::add_method | ( | const string_type & | path,
|  | const string_type & | types,
|  | lo_method_handler | h,
|  | void * | data ) const
| inline

Add a method to handle a given path and type, with a handler and user data pointer.

Definition at line 596 of file lo_cpp.h.

## ◆ LO_ADD_METHOD() [1/2]

lo::Server::LO_ADD_METHOD | ( | (const char *, const char *, lo_arg **, int) | ,
|  | ((char *) 0,(char *) 0,(lo_arg **) 0,(int) 0) | ,
|  | (path, types, argv, argc) | )

Add a method to handle a given path and type, with a handler taking (argv, argc), user data.

## ◆ LO_ADD_METHOD() [2/2]

lo::Server::LO_ADD_METHOD | ( | (const char *, lo_arg **, int) | ,
|  | ((char *) 0,(lo_arg **) 0,(int) 0) | ,
|  | (types, argv, argc) | )

Add a method to handle a given path and type, with a handler taking (types, argv, argc), user data.